MythTV 0.29 build error on Devuan 2.0.0 ascii

For discussion of topics specific to MythTV on linux
Post Reply
mr_smidge
Newcomer
Posts: 3
Joined: Tue Nov 06, 2018 9:25 pm
Great Britain

MythTV 0.29 build error on Devuan 2.0.0 ascii

Post by mr_smidge » Tue Nov 06, 2018 9:36 pm

Hello MythTV folk,

I have recently tried to build MythTV 0.29 on Devuan 2.0.0 Ascii, using the Debian Stretch build instructions as listed on the "Installing_MythTV_on_Debian" wiki page.

There is only one difference in setup: when installing build requirements, Devuan does not have the default-libmysqlclient-dev package, but instead has libmysqlclient-dev. This may be relevant to the issue I'm seeing...

Unfortunately, there is an error at the end:

Code: Select all

...
#(MythTV) We replace these with shell scripts
mv debian/tmp/usr/bin/mythfrontend debian/tmp/usr/bin/mythfrontend.real
mv debian/tmp/usr/bin/mythtv-setup debian/tmp/usr/bin/mythtv-setup.real
#(All) Make sure python/perl scripts are executable
find debian/tmp/usr/share -type f \( -iname "*.p[y|l]" ! -iname "oauth_api. py" \) -size +1b -exec chmod 755 {} \;
#Set up python package properly
dh_python2 -plibmyth-python
I: dh_python2 pydist:220: Cannot find package that provides mysqldb. Please add package that provides it to Build-Depends or add "mysqldb python-mysqldb" line to debian/pydist-overrides or add proper  dependency to Depends by hand and ignore this info.
make[1]: Leaving directory '/root/mythtv-build/packaging/deb/mythtv'
   debian/rules override_dh_install
make[1]: Entering directory '/root/mythtv-build/packaging/deb/mythtv'
mkdir -p debian/tmp/etc/php5/apache2/conf.d; \
cp debian/20-mythweb.ini   debian/tmp/etc/php5/apache2/conf.d; \
mkdir -p debian/tmp/etc/php/7.0/apache2/conf.d; \
cp debian/20-mythweb.ini   debian/tmp/etc/php/7.0/apache2/conf.d; \
dh_install -Xusr/share/mythtv/fonts/Free \
                   -Xusr/share/mythtv/fonts/Purisa \
                   -Xusr/share/mythtv/fonts/texgyrechorus \
                   -Xusr/lib/libmythzmq. la \
                   -Xusr/share/mythtv/fonts/tiresias_gpl3.txt \
                   -XLICENSE \
                   -X.git \
                   -Xscriptaculous \
                   -Xprototype.js \
                   -Xjquery.min.js \
                   --fail-missing
dh_install: usr/bin/mythexternrecorder exists in debian/tmp but is not installed to anywhere
dh_install: missing files, aborting
debian/rules:132: recipe for target 'override_dh_install' failed
make[1]: *** [override_dh_install] Error 2
make[1]: Leaving directory '/root/mythtv-build/packaging/deb/mythtv'
debian/rules:95: recipe for target 'binary' failed
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
debuild: fatal error at line 1116:
dpkg-buildpackage -rfakeroot -us -uc -i -I.git failed
I am not a Debian packaging expert, but I have my fingers crossed that Devuan Ascii and Debian Stretch might be sufficiently similar to allow MythTV to build.

Any ideas what might be causing the above error, and how to fix?

Many thanks in advance!

User avatar
pgbennett
Developer
Posts: 259
Joined: Mon Apr 27, 2015 5:41 pm
United States of America

Re: MythTV 0.29 build error on Devuan 2.0.0 ascii

Post by pgbennett » Wed Nov 07, 2018 12:01 am

mythexternrecorder is a new program and exists only in master, so it looks like you are building master, (which is v30) not v29. Since mythexternrecorder was only added a couple of weeks ago, my guess is that the debian packaging has not been changed to cater for it.

Some options are
  • Use the actual version 29 source from the fixes/29 branch

mr_smidge
Newcomer
Posts: 3
Joined: Tue Nov 06, 2018 9:25 pm
Great Britain

Re: MythTV 0.29 build error on Devuan 2.0.0 ascii

Post by mr_smidge » Wed Nov 07, 2018 9:43 pm

Hi pgbennett,
pgbennett wrote:
Wed Nov 07, 2018 12:01 am
mythexternrecorder is a new program and exists only in master, so it looks like you are building master, (which is v30) not v29.
Thank you for the suggestion - I am definitely on the fixes/29 branch:

Code: Select all

$ cd ~/mythtv-build/packaging
$ git branch -vv
* fixes/29 f63657c [origin/fixes/29] DEB: Fix patches for 29
... And to build, I invoked:

Code: Select all

$ cd deb
$ ./build-debs. sh fixes/29
Building for fixes, v0.29 in /root/mythtv-build/packaging/deb
#checkout mythtv/mythplugins
if [ -d .git ]; then \
        git fetch ;\
        git checkout fixes/29 || git checkout master;\
        git pull --rebase; \
else \
        git clone git://github. com/MythTV/mythtv.git tmp ;\
        mv tmp/.[!.]* tmp/* . ;\
        rm -rf tmp ;\
        git checkout fixes/29 || git checkout master;\
fi
Your branch is up-to-date with 'origin/fixes/29'.
Current branch fixes/29 is up to date.
...
And source code for mythexternrecorder definitely appears to be in the fixes/29 branch:
github. com/MythTV/mythtv/tree/fixes/29/mythtv/programs/mythexternrecorder

What do you think?

Many thanks,

User avatar
pgbennett
Developer
Posts: 259
Joined: Mon Apr 27, 2015 5:41 pm
United States of America

Re: MythTV 0.29 build error on Devuan 2.0.0 ascii

Post by pgbennett » Wed Nov 07, 2018 10:21 pm

I sent an email to the author of mythexternrecorder and copied you. See what he says.

Also there seems to be another error in your log. I don't know if this is relevant but it looks like this may also cause a failure. There may be some dependency missing.

I: dh_python2 pydist:220: Cannot find package that provides mysqldb. Please add package that provides it to Build-Depends or add "mysqldb python-mysqldb" line to debian/pydist-overrides or add proper dependency to Depends by hand and ignore this info.

mr_smidge
Newcomer
Posts: 3
Joined: Tue Nov 06, 2018 9:25 pm
Great Britain

Re: MythTV 0.29 build error on Devuan 2.0.0 ascii

Post by mr_smidge » Tue Nov 13, 2018 10:27 pm

The recent fixes mean that the build now completes successfully.

There are some other very minor issues that appear to be Devuan-specific, but setup of a mythtv master backend appears to have gone successfully - good news! :D

Many thanks again.

Post Reply